Dear All, I have been trying for years now to find the answer to how I can use Visual Lisp to create true transparent commands and not have the... "COMMANDS MAY NOT BE NESTED MORE THAN 4 DEEP...." error. I have several commands that I use this for but perhaps these new ones I hafve created will spark someones intrest enough to not only give me help but also actaully try it on there end to know for sure it will work. If you hit esc or accidentally excute muliple calls to this command you get the dreaded error noted above. Please consider the following. ;;;;creates a zoom window command that is transparent I use this with my 8 button logitech and accelerator f12 from my menu (vl-load-com) (DEFUN zw (/ activedoc) (setq activedoc (vla-get-ActiveDocument (vlax-get-acad-object))) (SETQ CRS (NTH 1 (GRREAD T 5 1)) CRS (STRCAT (RTOS (NTH 0 CRS) 2 4) "," (RTOS (NTH 1 CRS) 2 4)) ) (vla-SendCommand activedoc (strcat "'Z " crs " " )) ) (vlax-add-cmd "zw" 'zw "zw" 1) ;;;; ; ;;;;;;this command works fine for pop0 event with multiple calls. Created for use with my logitech 8 button mouse. (vl-load-com) (DEFUN POP0 (/ activedoc) (setq activedoc (vla-get-ActiveDocument (vlax-get-acad-object))) (menucmd "P0=BASIC")(menucmd "P0=*") ) (vlax-add-cmd "POP0" 'POP0 "POP0" 1) Thanks in Advance Rodney